Groovy Documentation

## groovy.lang
[Java] Class IncorrectClosureArgumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.IncorrectClosureArgumentsException

    public class IncorrectClosureArgumentsException
    extends GroovyRuntimeException

An exception occurred when invoking a Closure with the wrong number and/or types of arguments

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`IncorrectClosureArgumentsException(Closure closure, java.lang.Object arguments, java.lang.Class[] expected)`

Method Summary
`java.lang.Object` | `getArguments()`
`Closure` | `getClosure()`
`java.lang.Class[]` | `getExpected()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### IncorrectClosureArgumentsException

    public IncorrectClosureArgumentsException(Closure closure, java.lang.Object arguments, java.lang.Class[] expected)

Method Detail

### getArguments

    public java.lang.Object getArguments()

### getClosure

    public Closure getClosure()

### getExpected

    public java.lang.Class[] getExpected()

Groovy Documentation